

# BatchGetPentestJobs
<a name="API_BatchGetPentestJobs"></a>

Retrieves information about one or more pentest jobs in an agent space.

## Request Syntax
<a name="API_BatchGetPentestJobs_RequestSyntax"></a>

```
POST /BatchGetPentestJobs HTTP/1.1
Content-type: application/json

{
   "agentSpaceId": "{{string}}",
   "pentestJobIds": [ "{{string}}" ]
}
```

## URI Request Parameters
<a name="API_BatchGetPentestJobs_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_BatchGetPentestJobs_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [agentSpaceId](#API_BatchGetPentestJobs_RequestSyntax) **   <a name="securityagent-BatchGetPentestJobs-request-agentSpaceId"></a>
The unique identifier of the agent space that contains the pentest jobs.  
Type: String  
Required: Yes

 ** [pentestJobIds](#API_BatchGetPentestJobs_RequestSyntax) **   <a name="securityagent-BatchGetPentestJobs-request-pentestJobIds"></a>
The list of pentest job identifiers to retrieve.  
Type: Array of strings  
Required: Yes

## Response Syntax
<a name="API_BatchGetPentestJobs_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "notFound": [ "string" ],
   "pentestJobs": [ 
      { 
         "actors": [ 
            { 
               "authentication": { 
                  "providerType": "string",
                  "value": "string"
               },
               "description": "string",
               "identifier": "string",
               "uris": [ "string" ]
            }
         ],
         "allowedDomains": [ 
            { 
               "uri": "string"
            }
         ],
         "codeRemediationStrategy": "string",
         "createdAt": "string",
         "documents": [ 
            { 
               "artifactId": "string",
               "s3Location": "string"
            }
         ],
         "endpoints": [ 
            { 
               "uri": "string"
            }
         ],
         "errorInformation": { 
            "code": "string",
            "message": "string"
         },
         "excludePaths": [ 
            { 
               "uri": "string"
            }
         ],
         "excludeRiskTypes": [ "string" ],
         "executionContext": [ 
            { 
               "context": "string",
               "contextType": "string",
               "timestamp": "string"
            }
         ],
         "integratedRepositories": [ 
            { 
               "integrationId": "string",
               "providerResourceId": "string"
            }
         ],
         "logConfig": { 
            "logGroup": "string",
            "logStream": "string"
         },
         "networkTrafficConfig": { 
            "customHeaders": [ 
               { 
                  "name": "string",
                  "value": "string"
               }
            ],
            "rules": [ 
               { 
                  "effect": "string",
                  "networkTrafficRuleType": "string",
                  "pattern": "string"
               }
            ]
         },
         "overview": "string",
         "pentestId": "string",
         "pentestJobId": "string",
         "serviceRole": "string",
         "sourceCode": [ 
            { 
               "s3Location": "string"
            }
         ],
         "status": "string",
         "steps": [ 
            { 
               "createdAt": "string",
               "name": "string",
               "status": "string",
               "updatedAt": "string"
            }
         ],
         "title": "string",
         "updatedAt": "string",
         "vpcConfig": { 
            "securityGroupArns": [ "string" ],
            "subnetArns": [ "string" ],
            "vpcArn": "string"
         }
      }
   ]
}
```

## Response Elements
<a name="API_BatchGetPentestJobs_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [notFound](#API_BatchGetPentestJobs_ResponseSyntax) **   <a name="securityagent-BatchGetPentestJobs-response-notFound"></a>
The list of pentest job identifiers that were not found.  
Type: Array of strings

 ** [pentestJobs](#API_BatchGetPentestJobs_ResponseSyntax) **   <a name="securityagent-BatchGetPentestJobs-response-pentestJobs"></a>
The list of pentest jobs that were found.  
Type: Array of [PentestJob](API_PentestJob.md) objects

## Errors
<a name="API_BatchGetPentestJobs_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_BatchGetPentestJobs_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/BatchGetPentestJobs) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/BatchGetPentestJobs) 